org.openstreetmap.josm.plugins.streetside.gui

## Class StreetsideExportDialog.RewriteButtonAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.openstreetmap.josm.plugins.streetside.gui.StreetsideExportDialog.RewriteButtonAction

- All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action
  Enclosing class:
    StreetsideExportDialog

      public class StreetsideExportDialog.RewriteButtonAction
      extends AbstractAction

  Enables/disables some parts of the panel depending if the rewrite button is active.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private StreetsideExportDialog` | `dlg`
    `private String` | `lastPath`
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RewriteButtonAction(StreetsideExportDialog dlg)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent arg0)`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### lastPath

          private String lastPath

    - #### dlg

          private final StreetsideExportDialog dlg

  - ### Constructor Detail

    - #### RewriteButtonAction

          public RewriteButtonAction(StreetsideExportDialog dlg)

      Main constructor.
      Parameters:
        `dlg` - Parent dialog.

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent arg0)

JOSM Plugins